aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-12-01 15:02:58 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-12-01 15:02:58 +0000
commitf4c2e1a3659356f45b4f2587d3e7c8afd01d6395 (patch)
treed739f5a114dfa2bffa34f256b60636f1556e35d4 /test
parent645f12fca8364a42e7a38d67759757c70a89fed4 (diff)
downloadpaludis-f4c2e1a3659356f45b4f2587d3e7c8afd01d6395.tar.gz
paludis-f4c2e1a3659356f45b4f2587d3e7c8afd01d6395.tar.xz
Be more verbose
Diffstat (limited to 'test')
-rwxr-xr-xtest/run_test.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/test/run_test.sh b/test/run_test.sh
index 6f1a68b..4cdeedf 100755
--- a/test/run_test.sh
+++ b/test/run_test.sh
@@ -22,7 +22,10 @@ if test -f "$TEST_SCRIPT_DIR""${testname}"_"setup.sh" ; then
fi
echo ">>> test ${testname}"
-if ! ${@} ; then
+${@}
+code=$?
+if [[ 0 != ${code} ]] ; then
+ echo ">>> test ${testname} returned ${code}"
if test -f "$TEST_SCRIPT_DIR""${testname}"_"cleanup.sh" ; then
echo ">>> cleanup for test ${testname}"
"$TEST_SCRIPT_DIR""${testname}"_"cleanup.sh"